Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.event
Class DataMapEvent

    java.lang.Object
      java.util.EventObject
          org.apache.cayenne.event.CayenneEvent
              org.apache.cayenne.map.event.MapEvent
                  org.apache.cayenne.map.event.DataMapEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DataMapEvent

extends MapEvent

An events describing a DataMap change.

See Also:
  Serialized Form

Field Summary
`protected DataMap` | `dataMap`

Fields inherited from class org.apache.cayenne.map.event.MapEvent
`ADD, CHANGE, id, oldName, oldNameSet, REMOVE`

Fields inherited from class org.apache.cayenne.event.CayenneEvent
`info, postedBy, subject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataMapEvent(java.lang.Object src, DataMap dataMap)` Creates a DataMap change event.
`DataMapEvent(java.lang.Object src, DataMap dataMap, int id)` Creates a DataMap event of a specified type.
`DataMapEvent(java.lang.Object src, DataMap dataMap, java.lang.String oldName)` Creates a DataMap name change event.

Method Summary
`DataMap` | `getDataMap()` Returns DataMap associated with this event.
`java.lang.String` | `getNewName()` Returns the newName of the object that caused this event.
`void` | `setDataMap(DataMap dataMap)` Sets DataMap associated with this event.

Methods inherited from class org.apache.cayenne.map.event.MapEvent
`getId, getOldName, isNameChange, setId, setOldName`

Methods inherited from class org.apache.cayenne.event.CayenneEvent
`getInfo, getPostedBy, getSubject, setPostedBy, setSubject`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dataMap

    protected DataMap dataMap

Constructor Detail

### DataMapEvent

    public DataMapEvent(java.lang.Object src,
                        DataMap dataMap)

  Creates a DataMap change event.

### DataMapEvent

    public DataMapEvent(java.lang.Object src,
                        DataMap dataMap,
                        int id)

  Creates a DataMap event of a specified type.

### DataMapEvent

    public DataMapEvent(java.lang.Object src,
                        DataMap dataMap,
                        java.lang.String oldName)

  Creates a DataMap name change event.

Method Detail

### getDataMap

    public DataMap getDataMap()

  Returns DataMap associated with this event.

### setDataMap

    public void setDataMap(DataMap dataMap)

  Sets DataMap associated with this event.

  Parameters:
    `dataMap` - The dataMap to set

### getNewName

    public java.lang.String getNewName()

  Description copied from class: `MapEvent`
  Returns the newName of the object that caused this event.

  Specified by:
    `getNewName` in class `MapEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.